1

In magento 2.0.5 i tried update new version with.

composer require magento/product-community-edition 2.1.0 --no-update
composer update
rm -rf var/di var/generation
php bin/magento cache:clean
php bin/magento cache:flush
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento indexer:reindex

When i run line composer update get problem enter image description here

this file composer.json

"name": "magento/magento2ce", "description": "Magento 2 (Community Edition)", "type": "project", "version": "2.0.2", ... "require": { ... "magento/product-community-edition": "2.1.0" ...

14
  • Can you update your title? It doesn't make sense. Also, can you post the version of composer you have. The error mentions you need 1.0.0-beta1
    – camdixon
    Jul 20, 2016 at 3:13
  • i updated with composer self-update now vertion 1.2.0 then i re-run get sample error.
    – xanka
    Jul 20, 2016 at 3:25
  • Windows or Unix/Linux? Also your title I think you mean 2.1.0.
    – camdixon
    Jul 20, 2016 at 3:29
  • I use Windows sorry exactly 2.1.0
    – xanka
    Jul 20, 2016 at 3:36
  • try looking in your .composer/config.json in the root of your Magento project. Also, can you edit your post to include your composer.json enclosed in the code block?
    – camdixon
    Jul 20, 2016 at 3:49

4 Answers 4

1

Only changes are inside composer.json file,

Replace "version": "2.0.2", to "version": "2.1.0", at line no.5 and Replace "magento/product-community-edition": "2.0.2", with "magento/product-community-edition": "2.1.0", at line no 17.

Now run command,

composer update

all required changes are automatically downloaded using composer inside your magento folder.

After successfully upgrade from magento 2.0.2 to 2.1.0 you need to run command,

Remove var folder and Remove pub/static folder all content

php bin/magento setup:upgrade
php bin/magento indexer:reindex
php bin/magento setup:static-content:deploy
php bin/magento cache:clean
2
  • Thank you answer my question. After change i run composer update error like image in my question.
    – xanka
    Jul 20, 2016 at 6:53
  • How can i solve the issue : warning : PHP Startup : oAuth : unable to initialize module in wamp localhost
    – zus
    Apr 18, 2018 at 7:05
1

Run the following commands in your Magento 2 root directory to upgarde your Magento 2.0.2 to 2.1.0

composer require magento/product-community-edition 2.1.0 --no-update
composer update
rm -rf var/di var/generation
php bin/magento cache:flush
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento indexer:reindex
0

I run the following commands to update my instance :

composer require "magento/product-community-edition:2.1.0" --no-update
composer update

Then you have to clean cache, run setup and redeploy static content :

 php bin/magento cache:clean
 php bin/magento setup:upgrade
 php bin/magento setup:static-content:deploy

BR,

1
  • In my question has show error when i follow this code.
    – xanka
    Jul 20, 2016 at 6:54
0

Maybe try cloning again the repo: https://github.com/magento/magento2/tree/2.1 2.1 branch and then composer update

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.